Package com.independentsoft.office.odf.styles

# Enum Class CellVerticalAlignment

java.lang.Object
java.lang.Enum<CellVerticalAlignment>
com.independentsoft.office.odf.styles.CellVerticalAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<CellVerticalAlignment>`, `Constable`

public enum CellVerticalAlignment extends Enum<CellVerticalAlignment>
Represents how to vertically align a line that is less than 100% of its height within the columned area.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTOMATIC`
  Line is aligned automatic of a columned area.
  `BOTTOM`
  Line is aligned with the bottom of a columned area.
  `MIDDLE`
  Line is aligned with the middle of a columned area.
  `NONE`
  None.
  `TOP`
  Line is aligned with the top of a columned area.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CellVerticalAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CellVerticalAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOTTOM

    public static final CellVerticalAlignment BOTTOM
    Line is aligned with the bottom of a columned area.

  - ### TOP

    public static final CellVerticalAlignment TOP
    Line is aligned with the top of a columned area.

  - ### MIDDLE

    public static final CellVerticalAlignment MIDDLE
    Line is aligned with the middle of a columned area.

  - ### AUTOMATIC

    public static final CellVerticalAlignment AUTOMATIC
    Line is aligned automatic of a columned area.

  - ### NONE

    public static final CellVerticalAlignment NONE
    None.

- ## Method Details

  - ### values

    public static CellVerticalAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CellVerticalAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null